gstreamermm: Gst::DiscovererInfo Class Reference

gstreamermm 1.10.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gst::DiscovererInfo Class Reference

DiscovererInfo - Class containing the information of a URI analyzed by Gst::Discoverer. More...

`#include <gstreamermm/discovererinfo.h>`

Inheritance diagram for Gst::DiscovererInfo:
[legend]

## Public Member Functions
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstDiscovererInfo* | gobj ()
| Provides access to the underlying C instance. More...
const GstDiscovererInfo* | gobj () const
| Provides access to the underlying C instance. More...
GstDiscovererInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| DiscovererInfo ()=delete
| DiscovererInfo (const DiscovererInfo&)=delete
DiscovererInfo& | operator= (const DiscovererInfo&)=delete
Glib::RefPtr< Gst::DiscovererInfo > | copy () const
ClockTime | get_duration () const
Structure | get_misc () const
| Deprecated: This functions is deprecated since version 1.4, use #gst_discoverer_info_get_missing_elements_installer_details. More...
DiscovererResult | get_result () const
Glib::RefPtr< Gst::DiscovererStreamInfo > | get_stream_info ()
Glib::RefPtr< const Gst::DiscovererStreamInfo > | get_stream_info () const
std::vector< Glib::RefPtr< Gst::DiscovererStreamInfo > > | get_stream_list ()
std::vector< Glib::RefPtr< const Gst::DiscovererStreamInfo > > | get_stream_list () const
Gst::TagList | get_tags () const
Glib::ustring | get_uri () const
bool | get_seekable () const
std::vector< Glib::RefPtr< Gst::DiscovererStreamInfo > > | get_audio_streams ()
| Finds all the Gst::DiscovererAudioInfo contained in info. More...
std::vector< Glib::RefPtr< const Gst::DiscovererStreamInfo > > | get_audio_streams () const
| Finds all the Gst::DiscovererAudioInfo contained in info. More...
std::vector< Glib::RefPtr< Gst::DiscovererStreamInfo > > | get_container_streams ()
| Finds all the Gst::DiscovererContainerInfo contained in info. More...
std::vector< Glib::RefPtr< const Gst::DiscovererStreamInfo > > | get_container_streams () const
| Finds all the Gst::DiscovererContainerInfo contained in info. More...
std::vector< Glib::RefPtr< Gst::DiscovererStreamInfo > > | get_streams (GType streamtype)
| Finds the Gst::DiscovererStreamInfo contained in info that match the given streamtype. More...
std::vector< Glib::RefPtr< const Gst::DiscovererStreamInfo > > | get_streams (GType streamtype) const
| Finds the Gst::DiscovererStreamInfo contained in info that match the given streamtype. More...
std::vector< Glib::RefPtr< Gst::DiscovererStreamInfo > > | get_video_streams ()
| Finds all the Gst::DiscovererVideoInfo contained in info. More...
std::vector< Glib::RefPtr< const Gst::DiscovererStreamInfo > > | get_video_streams () const
| Finds all the Gst::DiscovererVideoInfo contained in info. More...
std::vector< Glib::RefPtr< Gst::DiscovererStreamInfo > > | get_subtitle_streams ()
| Finds all the Gst::DiscovererSubtitleInfo contained in info. More...
std::vector< Glib::RefPtr< const Gst::DiscovererStreamInfo > > | get_subtitle_streams () const
| Finds all the Gst::DiscovererSubtitleInfo contained in info. More...
std::vector< Glib::ustring > | get_missing_elements_installer_details () const
| Get the installer details for missing elements. More...
Glib::RefPtr< const Gst::Toc > | get_toc () const
Public Member Functions inherited from Gst::MiniObject
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMiniObject* | gobj ()
| Provides access to the underlying C instance. More...
const GstMiniObject* | gobj () const
| Provides access to the underlying C instance. More...
GstMiniObject* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| MiniObject ()=delete
| MiniObject (const MiniObject&)=delete
MiniObject& | operator= (const MiniObject&)=delete
| ~MiniObject ()
guint | get_flags () const
void | set_flags (const guint& value)
gint | get_refcount () const
gint | get_lockstate () const
bool | lock (LockFlags flags)
| Lock the mini-object with the specified access mode in flags. More...
void | unlock (LockFlags flags)
| Unlock the mini-object with the specified access mode in flags. More...
bool | is_writable () const
| If mini_object has the LOCKABLE flag set, check if the current EXCLUSIVE lock on object is the only one, this means that changes to the object will not be visible to any other object. More...
Glib::RefPtr< MiniObject > | create_writable ()
| Checks if a mini-object is writable. More...
void | set_qdata (GQuark quark, QuarkData* data)
| This sets an opaque, named pointer on a miniobject. More...
QuarkData* | get_qdata (GQuark quark) const
| This function gets back user data pointers stored via set_qdata(). More...
QuarkData* | steal_qdata (GQuark quark)
| This function gets back user data pointers stored via set_qdata() and removes the data from object without invoking its destroy() function (if any was set). More...
void | add_finalize_notifier (const SlotFinalizer& slot)
| Adds notifier when mini object is finalized. More...
void | remove_finalize_notifier ()
| Remove finalize notifier. More...

## Static Public Member Functions
static Glib::RefPtr< DiscovererInfo > | create ()

## Protected Member Functions
void | operator delete (void*, std::size_t)
Protected Member Functions inherited from Gst::MiniObject
void | operator delete (void*, std::size_t)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::DiscovererInfo > | wrap (GstDiscovererInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::MiniObject
Glib::RefPtr< Gst::MiniObject > | wrap (GstMiniObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Gst::MiniObject
typedef sigc::slot< void > | SlotFinalizer

## Detailed Description

DiscovererInfo - Class containing the information of a URI analyzed by Gst::Discoverer.

## Constructor & Destructor Documentation

## ◆ DiscovererInfo() [1/2]

Gst::DiscovererInfo::DiscovererInfo | ( |  | ) |
| delete

## ◆ DiscovererInfo() [2/2]

Gst::DiscovererInfo::DiscovererInfo | ( | const DiscovererInfo& |  | ) |
| delete

## Member Function Documentation

## ◆ copy()

Glib::RefPtr<Gst::DiscovererInfo> Gst::DiscovererInfo::copy | ( |  | ) | const

Returns
  A copy of the Gst::DiscovererInfo.

## ◆ create()

static Glib::RefPtr<DiscovererInfo> Gst::DiscovererInfo::create | ( |  | ) |
| static

## ◆ get_audio_streams() [1/2]

std::vector< Glib::RefPtr<Gst::DiscovererStreamInfo> > Gst::DiscovererInfo::get_audio_streams | ( |  | ) |

Finds all the Gst::DiscovererAudioInfo contained in info.

Returns
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

## ◆ get_audio_streams() [2/2]

std::vector< Glib::RefPtr<const Gst::DiscovererStreamInfo> > Gst::DiscovererInfo::get_audio_streams | ( |  | ) | const

Finds all the Gst::DiscovererAudioInfo contained in info.

Returns
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

## ◆ get_container_streams() [1/2]

std::vector< Glib::RefPtr<Gst::DiscovererStreamInfo> > Gst::DiscovererInfo::get_container_streams | ( |  | ) |

Finds all the Gst::DiscovererContainerInfo contained in info.

Returns
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

## ◆ get_container_streams() [2/2]

std::vector< Glib::RefPtr<const Gst::DiscovererStreamInfo> > Gst::DiscovererInfo::get_container_streams | ( |  | ) | const

Finds all the Gst::DiscovererContainerInfo contained in info.

Returns
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

## ◆ get_duration()

ClockTime Gst::DiscovererInfo::get_duration | ( |  | ) | const

Returns
  The duration of the URI in Gst::ClockTime (nanoseconds).

## ◆ get_misc()

Structure Gst::DiscovererInfo::get_misc | ( |  | ) | const

Deprecated: This functions is deprecated since version 1.4, use #gst_discoverer_info_get_missing_elements_installer_details.

Returns
  Miscellaneous information stored as a Gst::Structure (for example: information about missing plugins). If you wish to use the Gst::Structure after the life-time of info, you will need to copy it.

## ◆ get_missing_elements_installer_details()

std::vector<Glib::ustring> Gst::DiscovererInfo::get_missing_elements_installer_details | ( |  | ) | const

Get the installer details for missing elements.

Returns
  An array of strings containing informations about how to install the various missing elements for info to be usable. If you wish to use the strings after the life-time of info, you will need to copy them.

## ◆ get_result()

DiscovererResult Gst::DiscovererInfo::get_result | ( |  | ) | const

Returns
  The result of the discovery as a Gst::DiscovererResult.

## ◆ get_seekable()

bool Gst::DiscovererInfo::get_seekable | ( |  | ) | const

Returns
  The whether the URI is seekable.

## ◆ get_stream_info() [1/2]

Glib::RefPtr<Gst::DiscovererStreamInfo> Gst::DiscovererInfo::get_stream_info | ( |  | ) |

Returns
  The structure (or topology) of the URI as a Gst::DiscovererStreamInfo. This structure can be traversed to see the original hierarchy. Unref with gst_discoverer_stream_info_unref() after usage.

## ◆ get_stream_info() [2/2]

Glib::RefPtr<const Gst::DiscovererStreamInfo> Gst::DiscovererInfo::get_stream_info | ( |  | ) | const

Returns
  The structure (or topology) of the URI as a Gst::DiscovererStreamInfo. This structure can be traversed to see the original hierarchy. Unref with gst_discoverer_stream_info_unref() after usage.

## ◆ get_stream_list() [1/2]

std::vector< Glib::RefPtr<Gst::DiscovererStreamInfo> > Gst::DiscovererInfo::get_stream_list | ( |  | ) |

Returns
  The list of all streams contained in the #info. Free after usage with stream_info_list_free().

## ◆ get_stream_list() [2/2]

std::vector< Glib::RefPtr<const Gst::DiscovererStreamInfo> > Gst::DiscovererInfo::get_stream_list | ( |  | ) | const

Returns
  The list of all streams contained in the #info. Free after usage with stream_info_list_free().

## ◆ get_streams() [1/2]

std::vector< Glib::RefPtr<Gst::DiscovererStreamInfo> > Gst::DiscovererInfo::get_streams | ( | GType | streamtype | ) |

Finds the Gst::DiscovererStreamInfo contained in info that match the given streamtype.

Parameters

  streamtype | A Type derived from Gst::DiscovererStreamInfo.

Returns
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

## ◆ get_streams() [2/2]

std::vector< Glib::RefPtr<const Gst::DiscovererStreamInfo> > Gst::DiscovererInfo::get_streams | ( | GType | streamtype | ) | const

Finds the Gst::DiscovererStreamInfo contained in info that match the given streamtype.

Parameters

  streamtype | A Type derived from Gst::DiscovererStreamInfo.

Returns
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

## ◆ get_subtitle_streams() [1/2]

std::vector< Glib::RefPtr<Gst::DiscovererStreamInfo> > Gst::DiscovererInfo::get_subtitle_streams | ( |  | ) |

Finds all the Gst::DiscovererSubtitleInfo contained in info.

Returns
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

## ◆ get_subtitle_streams() [2/2]

std::vector< Glib::RefPtr<const Gst::DiscovererStreamInfo> > Gst::DiscovererInfo::get_subtitle_streams | ( |  | ) | const

Finds all the Gst::DiscovererSubtitleInfo contained in info.

Returns
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

## ◆ get_tags()

Gst::TagList Gst::DiscovererInfo::get_tags | ( |  | ) | const

Returns
  All tags contained in the URI. If you wish to use the tags after the life-time of info, you will need to copy them.

## ◆ get_toc()

Glib::RefPtr<const Gst::Toc> Gst::DiscovererInfo::get_toc | ( |  | ) | const

Returns
  TOC contained in the URI. If you wish to use the TOC after the life-time of info, you will need to copy it.

## ◆ get_uri()

Glib::ustring Gst::DiscovererInfo::get_uri | ( |  | ) | const

Returns
  The URI to which this information corresponds to. Copy it if you wish to use it after the life-time of info.

## ◆ get_video_streams() [1/2]

std::vector< Glib::RefPtr<Gst::DiscovererStreamInfo> > Gst::DiscovererInfo::get_video_streams | ( |  | ) |

Finds all the Gst::DiscovererVideoInfo contained in info.

Returns
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

## ◆ get_video_streams() [2/2]

std::vector< Glib::RefPtr<const Gst::DiscovererStreamInfo> > Gst::DiscovererInfo::get_video_streams | ( |  | ) | const

Finds all the Gst::DiscovererVideoInfo contained in info.

Returns
  A List of matching Gst::DiscovererStreamInfo. The caller should free it with stream_info_list_free().

## ◆ gobj() [1/2]

GstDiscovererInfo* Gst::DiscovererInfo::gobj | ( |  | ) |

Provides access to the underlying C instance.

## ◆ gobj() [2/2]

const GstDiscovererInfo* Gst::DiscovererInfo::gobj | ( |  | ) | const

Provides access to the underlying C instance.

## ◆ gobj_copy()

GstDiscovererInfo* Gst::DiscovererInfo::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator delete()

void Gst::DiscovererInfo::operator delete | ( | void * | ,
|  | std::size_t |
| ) |  |
| protected

## ◆ operator=()

DiscovererInfo& Gst::DiscovererInfo::operator= | ( | const DiscovererInfo& |  | ) |
| delete

## ◆ reference()

void Gst::DiscovererInfo::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## ◆ unreference()

void Gst::DiscovererInfo::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

## ◆ wrap()

Glib::RefPtr< Gst::DiscovererInfo > wrap | ( | GstDiscovererInfo * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.